INSTALLBOOT(8)

NAME
installboot - install a bootstrap disk partition

SYNOPSIS
installboot [-v] [-d] bootblk device

DESCRIPTION
installboot copies the bootstrap program bootblk to the named disk partition device. The boot block has a maximum size of 7.5KB, and will be written after the system disklabel starting at 512 bytes. If the boot program is longer then 7.5Kb will be truncated.

The boot program can be found in /usr/mdec/bootblk

The options are as follows:

-n  Do not actually write anything on the disk.

-v  Verbose mode.

The arguments are:

bootblk
    the name of the program, if not found it will be searched for in the /usr/mdec directory.

device
    the name of the device in which the first-stage boot program is to be installed. If it is not found, it will be searched for in the /dev directory, and also with an additional “c” on the path.

EXAMPLES
The following command will install the bootblocks in the disk “sd0”, using the file /usr/mdec/bootblk (if it exists) onto the device “/dev/sd0c”:

    installboot -v bootblk sd0

SEE ALSO
disklabel(8), init(8)